/************************************************************************
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1985, 1997 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// This file has Epsilon's commands for CUA emulation.

#include "eel.h"
#include "kill.h"
#include "menu.h"

command switch_windows() on reg_tab[NUMCTRL(GREYTAB)]
{
	int shifted;

	if (key_type == KT_MACRO)		// was this key from a macro?
		shifted = 0;			// yes, and it was unshifted
	else if (key_type == KT_EXTEND_SEL)
		shifted = 1;			// yes, and it was shifted
	else					// not from a macro, look at actual shift key
		shifted = shift_pressed() & KB_SHIFT_DN;
	if (shifted && _len_def_mac > 0 && !recording_suspended
		&& key == def_text[_len_def_mac - 1])	// and record in macro
		def_text[_len_def_mac - 1] |= EXTEND_SEL_KEY;
	if (!shifted)
		to_next_user_window(1);
	else
		to_next_user_window(-1);
}

/* This command changes key bindings and sets other variables. */

command cua_keyboard()
{
	abort_key = ESC;
	alt_invokes_menu = 1;
	fwd_search_key = CTRL('F');
	keytran[GREYBACK] = KEYTRANPASS + GREYBACK;
				// Decouple <Bksp> from Ctrl-H.
	show_text(-1, -1, "Loading CUA keyboard, please wait...");
	load_cmd_file_from_path("cua.kbd");
	drop_pending_says();	// don't show cmd file loading msgs
	strcpy(gui_menu_file, "cua.mnu");
	rebuild_menu();
	say("CUA keyboard loaded.");
}
